Bullet Collision Detection & Physics Library: Bullet::btHingeConstraintDoubleData2 Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btHingeConstraintDoubleData2 Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btHingeConstraintDoubleData2:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
int | m_useReferenceFrameA
int | m_angularOnly
int | m_enableAngularMotor
double | m_motorTargetVelocity
double | m_maxMotorImpulse
double | m_lowerLimit
double | m_upperLimit
double | m_limitSoftness
double | m_biasFactor
double | m_relaxationFactor
char | m_padding1 [4]

## Detailed Description

Definition at line 982 of file bullet.h.

## Member Data Documentation

## ◆ m_angularOnly

int Bullet::btHingeConstraintDoubleData2::m_angularOnly

Definition at line 989 of file bullet.h.

## ◆ m_biasFactor

double Bullet::btHingeConstraintDoubleData2::m_biasFactor

Definition at line 996 of file bullet.h.

## ◆ m_enableAngularMotor

int Bullet::btHingeConstraintDoubleData2::m_enableAngularMotor

Definition at line 990 of file bullet.h.

## ◆ m_limitSoftness

double Bullet::btHingeConstraintDoubleData2::m_limitSoftness

Definition at line 995 of file bullet.h.

## ◆ m_lowerLimit

double Bullet::btHingeConstraintDoubleData2::m_lowerLimit

Definition at line 993 of file bullet.h.

## ◆ m_maxMotorImpulse

double Bullet::btHingeConstraintDoubleData2::m_maxMotorImpulse

Definition at line 992 of file bullet.h.

## ◆ m_motorTargetVelocity

double Bullet::btHingeConstraintDoubleData2::m_motorTargetVelocity

Definition at line 991 of file bullet.h.

## ◆ m_padding1

char Bullet::btHingeConstraintDoubleData2::m_padding1[4]

Definition at line 998 of file bullet.h.

## ◆ m_rbAFrame

btTransformDoubleData Bullet::btHingeConstraintDoubleData2::m_rbAFrame

Definition at line 986 of file bullet.h.

## ◆ m_rbBFrame

btTransformDoubleData Bullet::btHingeConstraintDoubleData2::m_rbBFrame

Definition at line 987 of file bullet.h.

## ◆ m_relaxationFactor

double Bullet::btHingeConstraintDoubleData2::m_relaxationFactor

Definition at line 997 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData Bullet::btHingeConstraintDoubleData2::m_typeConstraintData

Definition at line 985 of file bullet.h.

## ◆ m_upperLimit

double Bullet::btHingeConstraintDoubleData2::m_upperLimit

Definition at line 994 of file bullet.h.

## ◆ m_useReferenceFrameA

int Bullet::btHingeConstraintDoubleData2::m_useReferenceFrameA

Definition at line 988 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h